package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class CondizioniCtrlRid.
 * @see sicura.entities.CondizioniCtrlRid
 * @author Hibernate Tools
 */
@Stateless
public class CondizioniCtrlRidHome {

	private static final Log log = LogFactory.getLog(CondizioniCtrlRidHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(CondizioniCtrlRid transientInstance) {
		log.debug("persisting CondizioniCtrlRid instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(CondizioniCtrlRid persistentInstance) {
		log.debug("removing CondizioniCtrlRid instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public CondizioniCtrlRid merge(CondizioniCtrlRid detachedInstance) {
		log.debug("merging CondizioniCtrlRid instance");
		try {
			CondizioniCtrlRid result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public CondizioniCtrlRid findById(Integer id) {
		log.debug("getting CondizioniCtrlRid instance with id: " + id);
		try {
			CondizioniCtrlRid instance = entityManager.find(CondizioniCtrlRid.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
